Subject: Re: Fix branch ancestry calculation

From: David Mansfield <[email-masked]>
Date: Fri, 24 Mar 2006 09:45:45 -0500

Linus Torvalds wrote:
> Some branches don't get any ancestors at all, because their ancestor gets 
> a "dotcount" value of 0, and are thus not considered any better than not 
> having any ancestor. That's obviously wrong. Even a zero-dot-count 
> ancestor is better than having none at all.
> 
> This fixes the issue by making not having an ancestor branch have a 
> goodness value of -1, avoiding the problem (because even a zero dot-count 
> will be considered better).
> 
> Alternatively, the special-case for the "1.1.1.1" revision should be 
> removed (or made to imply a dot-count of 1).
> 

Thanks for this.  I'll look at bundling this and some miscellaneous 
other stuff this weekend (pray to gods for rain so I can stay in all 
weekend ;-).

Anyway, I'd like to nail down some of the other nagging ancestry/branch 
point problems if possible.

David